package com.zjsgfa.project.zjsgfa.mapper;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.SjLjjw;

/**
 * 设计-邻井井位Mapper接口
 * 
 * @author
 * @date 2025-07-22
 */
public interface SjLjjwMapper 
{
    /**
     * 查询设计-邻井井位
     * 
     * @param id 设计-邻井井位主键
     * @return 设计-邻井井位
     */
    public SjLjjw selectSjLjjwById(Long id);

    /**
     * 查询设计-邻井井位列表
     * 
     * @param sjLjjw 设计-邻井井位
     * @return 设计-邻井井位集合
     */
    public List<SjLjjw> selectSjLjjwList(SjLjjw sjLjjw);

    /**
     * 新增设计-邻井井位
     * 
     * @param sjLjjw 设计-邻井井位
     * @return 结果
     */
    public int insertSjLjjw(SjLjjw sjLjjw);

    /**
     * 修改设计-邻井井位
     * 
     * @param sjLjjw 设计-邻井井位
     * @return 结果
     */
    public int updateSjLjjw(SjLjjw sjLjjw);

    /**
     * 删除设计-邻井井位
     * 
     * @param id 设计-邻井井位主键
     * @return 结果
     */
    public int deleteSjLjjwById(Long id);

    /**
     * 批量删除设计-邻井井位
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjLjjwByIds(Long[] ids);

    int deleteSjLjjwByJh(String jh);

    int insertSjLjjwBatch(List<SjLjjw> sjLjjwList);

}
